Bug 815645 - Enabling NFS4 enables mount but not showmount on remote system
Enabling NFS4 enables mount but not showmount on remote system
Status: CLOSED DUPLICATE of bug 975060
Product: Fedora
Classification: Fedora
Component: firewalld (Show other bugs)
19
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-24 03:16 EDT by Jonathan Ryshpan
Modified: 2013-06-17 10:30 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-17 10:30:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Ryshpan 2012-04-24 03:16:33 EDT
Description of problem: Enabling NFS4 enables mount but not showmount on remote system

Version-Release number of selected component (if applicable): 1.2.29


How reproducible: Always


Steps to Reproduce:
0. Export filesystem home from system charlie to system fred
1. Start system-config-firewall on  charlie
2. Select "Trusted Services"->NFS4
3. Click Disable, Apply, Enable, Apply (Note the firewall can only be changed when it's disabled.  This needs to be documented in the applet.)
  
Actual results: On fred "mount -t nfs4 charlie:/home /mnt" works but "showmount -e charlie" fails with the message: "RPC Port mapper failure - Unable to receive: errno 113 (no route to host)"


Expected results: Both mount and showmount work.


Additional info: The whole situation is rather confusing to the novice (me).
Comment 1 Fedora End Of Life 2013-01-16 15:33:35 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-13 18:58:21 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 3 Edgar Hoch 2013-06-16 23:52:37 EDT
The same problem exists on Fedora 18 with firewalld.

When the service "nfs" is enabled in firewalld, nfs4 filesystems can be mounted, but showmount -e remote_nfs_server print the error message

clnt_create: RPC: Port mapper failure - Unable to receive: errno 113 (No route to host)

Allowing ports 111/udp and (at least) one of 20048/tcp or 20048/udp solves the problem - then showmount -e works as expected. (Port 111/tcp seems not to be used by showmount.)

I think this bug can / should be reopened for Fedora 18 (and Fedora 19) with component firewalld.

firewalld should provide a service of either rpcbind (or sunrpc) and rpcmountd or nfs3 with covers the previos named services (or add this ports to the existing nfs service).
Comment 4 Jiri Popelka 2013-06-17 09:50:53 EDT
(In reply to Edgar Hoch from comment #3)
> Allowing ports 111/udp and ... 

(just to be sure) on server or client ?
Comment 5 Edgar Hoch 2013-06-17 09:52:16 EDT
(In reply to Jiri Popelka from comment #4)
> (In reply to Edgar Hoch from comment #3)
> > Allowing ports 111/udp and ... 
> 
> (just to be sure) on server or client ?

Only on the server.
Comment 6 Edgar Hoch 2013-06-17 09:53:47 EDT
The same is neccecary for accessing via /net/nfsservername/...
Comment 7 Jiri Popelka 2013-06-17 10:30:21 EDT

*** This bug has been marked as a duplicate of bug 975060 ***

Note You need to log in before you can comment on or make changes to this bug.